package stmt_test

import (
	"bytes"
	"testing"
	
	"github.com/z7zmey/php-parser/node"
	"github.com/z7zmey/php-parser/node/expr"
	"github.com/z7zmey/php-parser/node/stmt"
	"github.com/z7zmey/php-parser/php5"
	"github.com/z7zmey/php-parser/php7"
)

func TestThrow(t *testing.T) {
	src := `<? throw $e;`

	expected := &stmt.StmtList{
		Stmts: []node.Node{
			&stmt.Throw{
				Expr: &expr.Variable{VarName: &node.Identifier{Value: "$e"}},
			},
		},
	}

	actual, _, _ := php7.Parse(bytes.NewBufferString(src), "test.php")
	assertEqual(t, expected, actual)

	actual, _, _ = php5.Parse(bytes.NewBufferString(src), "test.php")
	assertEqual(t, expected, actual)
}
